<?php
$tdata_________________ = array();
$tdata_________________[".searchableFields"] = array();
$tdata_________________[".ShortName"] = "_________________";
$tdata_________________[".OwnerID"] = "";
$tdata_________________[".OriginalTable"] = "percentage_region";


$tdata_________________[".pagesByType"] = my_json_decode( "{\"chart\":[\"chart\"],\"search\":[\"search\"]}" );
$tdata_________________[".originalPagesByType"] = $tdata_________________[".pagesByType"];
$tdata_________________[".pages"] = types2pages( my_json_decode( "{\"chart\":[\"chart\"],\"search\":[\"search\"]}" ) );
$tdata_________________[".originalPages"] = $tdata_________________[".pages"];
$tdata_________________[".defaultPages"] = my_json_decode( "{\"chart\":\"chart\",\"search\":\"search\"}" );
$tdata_________________[".originalDefaultPages"] = $tdata_________________[".defaultPages"];

//	field labels
$fieldLabels_________________ = array();
$fieldToolTips_________________ = array();
$pageTitles_________________ = array();
$placeHolders_________________ = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabels_________________["English"] = array();
	$fieldToolTips_________________["English"] = array();
	$placeHolders_________________["English"] = array();
	$pageTitles_________________["English"] = array();
	$fieldLabels_________________["English"]["name"] = "الإسم";
	$fieldToolTips_________________["English"]["name"] = "";
	$placeHolders_________________["English"]["name"] = "";
	$fieldLabels_________________["English"]["total"] = "المجموع";
	$fieldToolTips_________________["English"]["total"] = "";
	$placeHolders_________________["English"]["total"] = "";
	$fieldLabels_________________["English"]["voteWith"] = "إقترع";
	$fieldToolTips_________________["English"]["voteWith"] = "";
	$placeHolders_________________["English"]["voteWith"] = "";
	$fieldLabels_________________["English"]["percentage"] = "نسبة الأقتراع";
	$fieldToolTips_________________["English"]["percentage"] = "";
	$placeHolders_________________["English"]["percentage"] = "";
	if (count($fieldToolTips_________________["English"]))
		$tdata_________________[".isUseToolTips"] = true;
}
if(mlang_getcurrentlang()=="Arabic")
{
	$fieldLabels_________________["Arabic"] = array();
	$fieldToolTips_________________["Arabic"] = array();
	$placeHolders_________________["Arabic"] = array();
	$pageTitles_________________["Arabic"] = array();
	$fieldLabels_________________["Arabic"]["name"] = "الإسم";
	$fieldToolTips_________________["Arabic"]["name"] = "";
	$placeHolders_________________["Arabic"]["name"] = "";
	$fieldLabels_________________["Arabic"]["total"] = "المجموع";
	$fieldToolTips_________________["Arabic"]["total"] = "";
	$placeHolders_________________["Arabic"]["total"] = "";
	$fieldLabels_________________["Arabic"]["voteWith"] = "إقترع";
	$fieldToolTips_________________["Arabic"]["voteWith"] = "";
	$placeHolders_________________["Arabic"]["voteWith"] = "";
	$fieldLabels_________________["Arabic"]["percentage"] = "نسبة الأقتراع";
	$fieldToolTips_________________["Arabic"]["percentage"] = "";
	$placeHolders_________________["Arabic"]["percentage"] = "";
	if (count($fieldToolTips_________________["Arabic"]))
		$tdata_________________[".isUseToolTips"] = true;
}


	$tdata_________________[".NCSearch"] = true;

	$tdata_________________[".ChartRefreshTime"] = 0;


$tdata_________________[".shortTableName"] = "_________________";
$tdata_________________[".nSecOptions"] = 0;

$tdata_________________[".mainTableOwnerID"] = "";
$tdata_________________[".entityType"] = 3;
$tdata_________________[".connId"] = "electiondb_at_ssl_localhost";


$tdata_________________[".strOriginalTableName"] = "percentage_region";

	



$tdata_________________[".showAddInPopup"] = false;

$tdata_________________[".showEditInPopup"] = false;

$tdata_________________[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdata_________________[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdata_________________[".listAjax"] = false;
//	temporary
$tdata_________________[".listAjax"] = false;

	$tdata_________________[".audit"] = false;

	$tdata_________________[".locking"] = false;


$pages = $tdata_________________[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdata_________________[".edit"] = true;
	$tdata_________________[".afterEditAction"] = 1;
	$tdata_________________[".closePopupAfterEdit"] = 1;
	$tdata_________________[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdata_________________[".add"] = true;
$tdata_________________[".afterAddAction"] = 1;
$tdata_________________[".closePopupAfterAdd"] = 1;
$tdata_________________[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdata_________________[".list"] = true;
}



$tdata_________________[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdata_________________[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdata_________________[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdata_________________[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdata_________________[".printFriendly"] = true;
}



$tdata_________________[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdata_________________[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdata_________________[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdata_________________[".isUseAjaxSuggest"] = true;






$tdata_________________[".ajaxCodeSnippetAdded"] = false;

$tdata_________________[".buttonsAdded"] = false;

$tdata_________________[".addPageEvents"] = false;

// use timepicker for search panel
$tdata_________________[".isUseTimeForSearch"] = false;


$tdata_________________[".badgeColor"] = "E67349";


$tdata_________________[".allSearchFields"] = array();
$tdata_________________[".filterFields"] = array();
$tdata_________________[".requiredSearchFields"] = array();




$tdata_________________[".tableType"] = "chart";

$tdata_________________[".printerPageOrientation"] = 0;
$tdata_________________[".nPrinterPageScale"] = 100;

$tdata_________________[".nPrinterSplitRecords"] = 40;

$tdata_________________[".geocodingEnabled"] = false;



// chart settings
$tdata_________________[".chartType"] = "2DDoughnut";
// end of chart settings








$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdata_________________[".strOrderBy"] = $tstrOrderBy;

$tdata_________________[".orderindexes"] = array();


$tdata_________________[".sqlHead"] = "SELECT name,  	total,  	voteWith,  	percentage";
$tdata_________________[".sqlFrom"] = "FROM percentage_region";
$tdata_________________[".sqlWhereExpr"] = "";
$tdata_________________[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdata_________________[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdata_________________[".arrGroupsPerPage"] = $arrGPP;

$tdata_________________[".highlightSearchResults"] = true;

$tableKeys_________________ = array();
$tdata_________________[".Keys"] = $tableKeys_________________;


$tdata_________________[".hideMobileList"] = array();




//	name
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "name";
	$fdata["GoodName"] = "name";
	$fdata["ownerTable"] = "percentage_region";
	$fdata["Label"] = GetFieldLabel("_________________","name");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "name";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "name";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "region";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
			$edata["LookupUnique"] = true;

	$edata["LinkField"] = "name";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "name";

	

	
	$edata["LookupOrderBy"] = "name";

	
	
	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdata_________________["name"] = $fdata;
		$tdata_________________[".searchableFields"][] = "name";
//	total
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "total";
	$fdata["GoodName"] = "total";
	$fdata["ownerTable"] = "percentage_region";
	$fdata["Label"] = GetFieldLabel("_________________","total");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "total";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "total";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdata_________________["total"] = $fdata;
		$tdata_________________[".searchableFields"][] = "total";
//	voteWith
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "voteWith";
	$fdata["GoodName"] = "voteWith";
	$fdata["ownerTable"] = "percentage_region";
	$fdata["Label"] = GetFieldLabel("_________________","voteWith");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "voteWith";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "voteWith";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=10";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdata_________________["voteWith"] = $fdata;
		$tdata_________________[".searchableFields"][] = "voteWith";
//	percentage
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "percentage";
	$fdata["GoodName"] = "percentage";
	$fdata["ownerTable"] = "percentage_region";
	$fdata["Label"] = GetFieldLabel("_________________","percentage");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "percentage";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "percentage";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdata_________________["percentage"] = $fdata;
		$tdata_________________[".searchableFields"][] = "percentage";

$tdata_________________[".chartLabelField"] = "name";
$tdata_________________[".chartSeries"] = array();
$tdata_________________[".chartSeries"][] = array( 
	"field" => "percentage",
	"total" => ""
);
	$tdata_________________[".chartXml"] = '<chart>
		<attr value="tables">
			<attr value="0">دائري حسب المنطقة</attr>
		</attr>
		<attr value="chart_type">
			<attr value="type">2d_doughnut</attr>
		</attr>

		<attr value="parameters">';
	$tdata_________________[".chartXml"] .= '<attr value="0">
			<attr value="name">percentage</attr>';
	$tdata_________________[".chartXml"] .= '</attr>';
	$tdata_________________[".chartXml"] .= '<attr value="1">
		<attr value="name">name</attr>
	</attr>';
	$tdata_________________[".chartXml"] .= '</attr>
			<attr value="appearance">';


	$tdata_________________[".chartXml"] .= '<attr value="head">'.xmlencode("دائري حسب المنطقة").'</attr>
<attr value="foot">'.xmlencode("").'</attr>
<attr value="y_axis_label">'.xmlencode("total").'</attr>


<attr value="slegend">true</attr>
<attr value="sgrid">true</attr>
<attr value="sname">true</attr>
<attr value="sval">true</attr>
<attr value="sanim">true</attr>
<attr value="sstacked">false</attr>
<attr value="slog">false</attr>
<attr value="aqua">0</attr>
<attr value="cview">0</attr>
<attr value="is3d">0</attr>
<attr value="isstacked">0</attr>
<attr value="linestyle">0</attr>
<attr value="autoupdate">0</attr>
<attr value="autoupmin">60</attr>';
$tdata_________________[".chartXml"] .= '</attr>

<attr value="fields">';
	$tdata_________________[".chartXml"] .= '<attr value="0">
		<attr value="name">name</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("_________________","name")).'</attr>
		<attr value="search"></attr>
	</attr>';
	$tdata_________________[".chartXml"] .= '<attr value="1">
		<attr value="name">total</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("_________________","total")).'</attr>
		<attr value="search"></attr>
	</attr>';
	$tdata_________________[".chartXml"] .= '<attr value="2">
		<attr value="name">voteWith</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("_________________","voteWith")).'</attr>
		<attr value="search"></attr>
	</attr>';
	$tdata_________________[".chartXml"] .= '<attr value="3">
		<attr value="name">percentage</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("_________________","percentage")).'</attr>
		<attr value="search"></attr>
	</attr>';
$tdata_________________[".chartXml"] .= '</attr>


<attr value="settings">
<attr value="name">دائري حسب المنطقة</attr>
<attr value="short_table_name">_________________</attr>
</attr>

</chart>';

$tables_data["دائري حسب المنطقة"]=&$tdata_________________;
$field_labels["_________________"] = &$fieldLabels_________________;
$fieldToolTips["_________________"] = &$fieldToolTips_________________;
$placeHolders["_________________"] = &$placeHolders_________________;
$page_titles["_________________"] = &$pageTitles_________________;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["دائري حسب المنطقة"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["دائري حسب المنطقة"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery__________________()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "name,  	total,  	voteWith,  	percentage";
$proto0["m_strFrom"] = "FROM percentage_region";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "name",
	"m_strTable" => "percentage_region",
	"m_srcTableName" => "دائري حسب المنطقة"
));

$proto6["m_sql"] = "name";
$proto6["m_srcTableName"] = "دائري حسب المنطقة";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "total",
	"m_strTable" => "percentage_region",
	"m_srcTableName" => "دائري حسب المنطقة"
));

$proto8["m_sql"] = "total";
$proto8["m_srcTableName"] = "دائري حسب المنطقة";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "voteWith",
	"m_strTable" => "percentage_region",
	"m_srcTableName" => "دائري حسب المنطقة"
));

$proto10["m_sql"] = "voteWith";
$proto10["m_srcTableName"] = "دائري حسب المنطقة";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "percentage",
	"m_strTable" => "percentage_region",
	"m_srcTableName" => "دائري حسب المنطقة"
));

$proto12["m_sql"] = "percentage";
$proto12["m_srcTableName"] = "دائري حسب المنطقة";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto14=array();
$proto14["m_link"] = "SQLL_MAIN";
			$proto15=array();
$proto15["m_strName"] = "percentage_region";
$proto15["m_srcTableName"] = "دائري حسب المنطقة";
$proto15["m_columns"] = array();
$proto15["m_columns"][] = "name";
$proto15["m_columns"][] = "total";
$proto15["m_columns"][] = "voteWith";
$proto15["m_columns"][] = "percentage";
$obj = new SQLTable($proto15);

$proto14["m_table"] = $obj;
$proto14["m_sql"] = "percentage_region";
$proto14["m_alias"] = "";
$proto14["m_srcTableName"] = "دائري حسب المنطقة";
$proto16=array();
$proto16["m_sql"] = "";
$proto16["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto16["m_column"]=$obj;
$proto16["m_contained"] = array();
$proto16["m_strCase"] = "";
$proto16["m_havingmode"] = false;
$proto16["m_inBrackets"] = false;
$proto16["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto16);

$proto14["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto14);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="دائري حسب المنطقة";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData__________________ = createSqlQuery__________________();


	
		;

				

$tdata_________________[".sqlquery"] = $queryData__________________;



$tableEvents["دائري حسب المنطقة"] = new eventsBase;
$tdata_________________[".hasEvents"] = false;

?>